-- Weapons definitions here

dofile("Scripts/Database/Weapons/warheads.lua")


print("WEAPON TEST")
-- Support Functions:

local GALLON_TO_KG = 3.785 * 0.8
local INCHES_TO_M = 0.0254
local POUNDS_TO_KG = 0.453592

---------FUEL TANKS-----------
declare_loadout(	--300 gal tank
	{
		category		= CAT_FUEL_TANKS,
		CLSID			= "{DFT-EA6B-300gal}",
		attribute		=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture			= "fuel400.png",
		displayName		= _("Fuel Tank 300 gallons"),
		Weight_Empty	= 240*POUNDS_TO_KG,                         -- "bobtail" configuration
		Weight			= 240*POUNDS_TO_KG + 400*GALLON_TO_KG,
		Cx_pil			= 0.0020,
		shape_table_data =
		{
			{
				name 	= "DFT_300_GAL_EA6B",
				file	= "DFT_300_GAL_EA6B";
				life	= 1;
				fire	= { 0, 1};
				username	= "DFT_300_GAL_EA6B";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	=
		{
			{
				ShapeName	= "DFT_300_GAL_EA6B",
			},
		},
	}
)
